jQuery(document).ready(function($){

/*******************************************************************************
* COMMENT FORM VALIDATION
*******************************************************************************/	
	(function(){
		freshlib('#respond form').validateCommentForm(function( $element ) {
			$element.stop(true,true)
				.animate({marginLeft:20},75)
				.animate({marginLeft:-20},75)
				.animate({marginLeft:20},75)
				.animate({marginLeft:0},75);
		});
	})();
/*******************************************************************************
* CONTACT FORM VALIDATION
*******************************************************************************/	
	(function(){
		freshlib('#widget_contact').validateContactForm(function( $element ) {
			$element.stop(true,true)
				.animate({marginLeft:20},75)
				.animate({marginLeft:-20},75)
				.animate({marginLeft:20},75)
				.animate({marginLeft:0},75);
		});
	})();	
/*******************************************************************************
* IMAGE HOVERS
*******************************************************************************/	
	(function(){
		var imageHoverSelectors = new Array();
		
		imageHoverSelectors.push('a .small_image');
		imageHoverSelectors.push('a .big_image');
		imageHoverSelectors.push('a .gallery_image');
		imageHoverSelectors.push('a .fresh_recent_posts_image');
		imageHoverSelectors.push('a img');
		
		imageHoverSelectors.push('.size-thumbnail');
		imageHoverSelectors.push('.size-medium');
		imageHoverSelectors.push('.size-large');
		imageHoverSelectors.push('.size-full');
		
		var imageHoverOneLineSelector = imageHoverSelectors.join(', ');
		
		$(imageHoverOneLineSelector).hover(function(){
			$(this).stop().animate({
		        'filter':'alpha(opacity=100)',
		        '-moz-opacity':'1',
		        '-khtml-opacity':'1',
		        'opacity': '1'}, 200);
		},function(){
			  $(this).stop().animate({
		            'filter':'alpha(opacity=100)',
		            '-moz-opacity':'1',
		            '-khtml-opacity':'1',
		            'opacity': '1'}, 200);
		});
		
	})();
/*******************************************************************************
* PRETTY PHOTO BINDING
*******************************************************************************/	
	(function() {
		freshlib($('.post').find('a').children('img')).bindLightbox('rel','prettyPhoto["gallery"]', function() {
			$('a[rel^="prettyPhoto"], .lightbox').prettyPhoto({theme: ff_lightboxSkin,slideshow:5000, autoplay_slideshow:false, overlay_gallery:false});
		});
	})();

/*******************************************************************************
* SHORTCODES
*******************************************************************************/
	(function() {
		
		// TABS
		$('.sc_tab').click(function() {
			// selectors
			var $tabHolder = $(this).parents('.sc_tabs');
			var clickedTabIndex = $(this).index();
			
			// add active class
			$tabHolder.find('.sc_tab').removeClass('sc_tab_active');
			$(this).addClass('sc_tab_active');

			// show proper bogs
			$tabHolder.find('.sc_tab_single_box').css('display','none');
			$tabHolder.find('.sc_tab_single_box').eq(clickedTabIndex).css('display','block');
		});
		
		
		// TOGGLES
		$('.toggle_body').hide();
		$('h4.toggle').toggle(function(){
			jQuery(this).addClass('toggle_active');
		}, function () {
			$(this).removeClass('toggle_active');
		});
		$('h4.toggle').click(function(){
			$(this).next('.toggle_body').slideToggle();
		});
	})();
});
